<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__socket__ip__address__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_socket_ip_address_t</compoundname>
    <includes local="no">cy_secure_sockets.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__socket__ip__address__t_1adff8c23c18f451bc833136c9b39762ca" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__secure__sockets__enums_1ga97cb501a58195859467b126cf2a2789d">cy_socket_ip_version_t</ref></type>
        <definition>cy_socket_ip_version_t cy_socket_ip_address_t::version</definition>
        <argsstring />
        <name>version</name>
        <briefdescription>
<para>IP version <ref kindref="member" refid="group__group__secure__sockets__enums_1ga97cb501a58195859467b126cf2a2789d">cy_socket_ip_version_t</ref>. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="500" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="500" />
      </memberdef>
      <memberdef id="structcy__socket__ip__address__t_1a1b68b61521bd0b095ed35bea52f6fd82" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_socket_ip_address_t::v4</definition>
        <argsstring />
        <name>v4</name>
        <briefdescription>
<para>IPv4 address in network byte order. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="504" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="504" />
      </memberdef>
      <memberdef id="structcy__socket__ip__address__t_1af849e54b89b4412aaca8eb46275f2b4b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_socket_ip_address_t::v6[4]</definition>
        <argsstring>[4]</argsstring>
        <name>v6</name>
        <briefdescription>
<para>IPv6 address in network byte order. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="505" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="505" />
      </memberdef>
      <memberdef id="structcy__socket__ip__address__t_1a935806d84abf86ee6a8dcbfdeb6940a4" kind="variable" mutable="no" prot="public" static="no">
        <type>union cy_socket_ip_address_t::@0</type>
        <definition>union cy_socket_ip_address_t::@0  cy_socket_ip_address_t::ip</definition>
        <argsstring />
        <name>ip</name>
        <briefdescription>
<para>IP address bytes. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="506" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>IP Address Structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="507" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" bodystart="498" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/secure-sockets/include/cy_secure_sockets.h" line="499" />
    <listofallmembers>
      <member prot="public" refid="structcy__socket__ip__address__t_1a935806d84abf86ee6a8dcbfdeb6940a4" virt="non-virtual"><scope>cy_socket_ip_address_t</scope><name>ip</name></member>
      <member prot="public" refid="structcy__socket__ip__address__t_1a1b68b61521bd0b095ed35bea52f6fd82" virt="non-virtual"><scope>cy_socket_ip_address_t</scope><name>v4</name></member>
      <member prot="public" refid="structcy__socket__ip__address__t_1af849e54b89b4412aaca8eb46275f2b4b" virt="non-virtual"><scope>cy_socket_ip_address_t</scope><name>v6</name></member>
      <member prot="public" refid="structcy__socket__ip__address__t_1adff8c23c18f451bc833136c9b39762ca" virt="non-virtual"><scope>cy_socket_ip_address_t</scope><name>version</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>